var NAVTREE =
[
  [ "NetCDF", "index.html", [
    [ "Introduction and Overview", "index.html", "index" ],
    [ "Getting and Building netCDF", "getting_and_building_netcdf.html", "getting_and_building_netcdf" ],
    [ "The NetCDF User's Guide", "user_guide.html", "user_guide" ],
    [ "NetCDF-4 Filter Support", "md__build_netcdf-4_87_83_docs_filters.html", [
      [ "NetCDF-4 Filter Support ", "md__build_netcdf-4_87_83_docs_filters.html#filters", null ],
      [ "Introduction", "md__build_netcdf-4_87_83_docs_filters.html#filters_intro", null ],
      [ "Enabling A Compression Filter", "md__build_netcdf-4_87_83_docs_filters.html#filters_enable", [
        [ "Using The API", "md__build_netcdf-4_87_83_docs_filters.html#filters_API", null ],
        [ "Using ncgen", "md__build_netcdf-4_87_83_docs_filters.html#filters_NCGEN", null ],
        [ "Using nccopy", "md__build_netcdf-4_87_83_docs_filters.html#filters_NCCOPY", null ]
      ] ],
      [ "Parameter Encode/Decode", "md__build_netcdf-4_87_83_docs_filters.html#filters_paramcoding", null ],
      [ "Filter Specification Syntax", "md__build_netcdf-4_87_83_docs_filters.html#filters_syntax", null ],
      [ "Dynamic Loading Process ", "md__build_netcdf-4_87_83_docs_filters.html#filters_Process", [
        [ "Plugin directory ", "md__build_netcdf-4_87_83_docs_filters.html#filters_Plugindir", null ],
        [ "Plugin Library Naming ", "md__build_netcdf-4_87_83_docs_filters.html#filters_Pluginlib", null ],
        [ "Plugin Verification ", "md__build_netcdf-4_87_83_docs_filters.html#filters_Pluginverify", null ],
        [ "Debugging ", "md__build_netcdf-4_87_83_docs_filters.html#filters_Debug", null ],
        [ "Test Case ", "md__build_netcdf-4_87_83_docs_filters.html#filters_TestCase", null ],
        [ "Example ", "md__build_netcdf-4_87_83_docs_filters.html#filters_Example", null ]
      ] ],
      [ "Appendix A. Support Utilities ", "md__build_netcdf-4_87_83_docs_filters.html#filters_AppendixA", null ],
      [ "Appendix B. Programmatic Filter Definition ", "md__build_netcdf-4_87_83_docs_filters.html#filters_programmatic", null ],
      [ "References", "md__build_netcdf-4_87_83_docs_filters.html#filters_References", null ]
    ] ],
    [ "NetCDF In-Memory Support", "md__build_netcdf-4_87_83_docs_inmemory.html", [
      [ "NetCDF In-Memory Support ", "md__build_netcdf-4_87_83_docs_inmemory.html#inmemory", [
        [ "Introduction ", "md__build_netcdf-4_87_83_docs_inmemory.html#inmemory_intro", null ],
        [ "Enabling Diskless File Access ", "md__build_netcdf-4_87_83_docs_inmemory.html#Enable_Diskless", null ],
        [ "Enabling Inmemory File Access ", "md__build_netcdf-4_87_83_docs_inmemory.html#Enable_Inmemory", null ],
        [ "Enabling MMAP File Access ", "md__build_netcdf-4_87_83_docs_inmemory.html#Enable_MMAP", null ],
        [ "Known Bugs ", "md__build_netcdf-4_87_83_docs_inmemory.html#Inmemory_Bugs", null ],
        [ "References ", "md__build_netcdf-4_87_83_docs_inmemory.html#Inmemory_References", null ]
      ] ]
    ] ],
    [ "NetCDF Authorization Support", "md__build_netcdf-4_87_83_docs_auth.html", [
      [ "NetCDF Authorization Support ", "md__build_netcdf-4_87_83_docs_auth.html#auth", [
        [ "Introduction", "md__build_netcdf-4_87_83_docs_auth.html#auth_intro", null ],
        [ "URL-Based Authentication", "md__build_netcdf-4_87_83_docs_auth.html#auth_url", null ],
        [ "RC File Authentication", "md__build_netcdf-4_87_83_docs_auth.html#auth_dodsrc", null ],
        [ "Authorization-Related Keys", "md__build_netcdf-4_87_83_docs_auth.html#auth_keys", null ],
        [ "Password Escaping", "md__build_netcdf-4_87_83_docs_auth.html#auth_userpwdescape", null ],
        [ "Redirection-Based Authentication", "md__build_netcdf-4_87_83_docs_auth.html#auth_redir", null ],
        [ "Client-Side Certificates", "md__build_netcdf-4_87_83_docs_auth.html#auth_clientcerts", null ],
        [ "Appendix A. All RC-File Keys", "md__build_netcdf-4_87_83_docs_auth.html#auth_allkeys", null ],
        [ "Appendix B. URS Access in Detail", "md__build_netcdf-4_87_83_docs_auth.html#auth_ursdetail", null ],
        [ "Appendix C. ESG Access in Detail", "md__build_netcdf-4_87_83_docs_auth.html#auth_esgdetail", null ]
      ] ]
    ] ],
    [ "NetCDF Programming Notes", "programming_notes.html", "programming_notes" ],
    [ "FAQ", "faq.html", [
      [ "General            ", "faq.html#ncFAQGeneral", [
        [ "What Is netCDF?  ", "faq.html#What-Is-netCDF", null ],
        [ "How do I get the netCDF software package? ", "faq.html#HowdoIgetthenetCDFsoftwarepackage", null ],
        [ "How do I convert netCDF data to ASCII or text? ", "faq.html#How-do-I-convert-netCDF-data-to-ASCII-or-text", null ],
        [ "How do I convert ASCII or text data to netCDF? ", "faq.html#How-do-I-convert-ASCII-or-text-data-to-netCDF", null ],
        [ "What is the best way to represent [some particular data] using netCDF? ", "faq.html#What-is-the-best-way-to-represent-some-particular-data-using-netCDF", null ],
        [ "What convention should be used for the names of netCDF files? ", "faq.html#What-convention-should-be-used-for-the-names-of-netCDF-files", null ],
        [ "Is there a mailing list for netCDF discussions and questions? ", "faq.html#Is-there-a-mailing-list-for-netCDF-discussions-and-questions", null ],
        [ "Where are some examples of netCDF datasets? ", "faq.html#Where-are-some-examples-of-netCDF-datasets", null ],
        [ "What is the best way to handle time using netCDF? ", "faq.html#What-is-the-best-way-to-handle-time-using-netCDF", null ],
        [ "Who else uses netCDF? ", "faq.html#Who-else-uses-netCDF", null ],
        [ "What are some references to netCDF? ", "faq.html#What-are-some-references-to-netCDF", null ],
        [ "I'm submitting a paper for publication and want to include a citation for use of netCDF software. What reference should I use? ", "faq.html#How-should-I-cite-use-of-netCDF-software", null ],
        [ "Is there a document describing the actual physical format for a Unidata netCDF file? ", "faq.html#Is-there-a-document-describing-the-actual-physical-format-for-a-Unidata-netCDF-file", null ]
      ] ],
      [ "Installation and Porting                      ", "faq.html#Installation-and-Porting", [
        [ "What does netCDF run on? ", "faq.html#What-does-netCDF-run-on", null ],
        [ "How can I use current versions of netCDF-4 with Windows? ", "faq.html#HowcanIusecu", null ],
        [ "How can I use netCDF-4.1 with Windows? ", "faq.html#HowcanIusenetCDF41withWindows", null ],
        [ "How can I use netCDF-4 with Windows? ", "faq.html#How-can-I-use-netCDF-4-with-Windows", null ],
        [ "How do I build and install netCDF for a specific development environment? ", "faq.html#How-do-I-build-and-install-netCDF-for-a-specific-development-environment", null ],
        [ "How can I tell if I successfully built and installed netCDF? ", "faq.html#How-can-I-tell-if-I-successfully-built-and-installed-netCDF", null ],
        [ "How can I tell what version I'm using? ", "faq.html#How-can-I-tell-what-version-Im-using", null ],
        [ "Where does netCDF get installed? ", "faq.html#Where-does-netCDF-get-installed", null ]
      ] ],
      [ "Formats, Data Models, and Software Releases ", "faq.html#formatsdatamodelssoftwarereleases", [
        [ "How many netCDF formats are there, and what are the differences among them? ", "faq.html#How-many-netCDF-formats-are-there-and-what-are-the-differences-among-them", null ],
        [ "How can I tell which format a netCDF file uses? ", "faq.html#How-can-I-tell-which-format-a-netCDF-file-uses", null ],
        [ "How many netCDF data models are there? ", "faq.html#How-many-netCDF-data-models-are-there", null ],
        [ "How many releases of the C-based netCDF software are supported? ", "faq.html#How-many-releases-of-the-C-based-netCDF-software-are-supported", null ],
        [ "Should I get netCDF-3 or netCDF-4? ", "faq.html#Should-I-get-netCDF-3-or-netCDF-4", null ],
        [ "What is the \"enhanced data model\" of netCDF-4, and how does it differ from the netCDF-3 classic data model? ", "faq.html#whatisenhanceddatamodel", null ],
        [ "Why doesn't the new netCDF-4 installation I built seem to support any of the new features? ", "faq.html#Whydoesnt-the-new-netCDF-4-installation-I-built-seem-to-support-any-of-the-new-features", null ],
        [ "Will Unidata continue to support netCDF-3? ", "faq.html#Will-Unidata-continue-to-support-netCDF-3", null ],
        [ "To read compressed data, what changes do I need to make to my netCDF-3 program? ", "faq.html#To-read-compressed-data-what-changes-do-I-need-to-make-to-my-netCDF-3-program", null ],
        [ "To write compressed data, what changes do I need to make to my netCDF-3 program? ", "faq.html#To-write-compressed-data-what-changes-do-I-need-to-make-to-my-netCDF-3-program", null ],
        [ "If I create netCDF-4 classic model files, can they be read by IDL, MATLAB, R, Python and ArcGIS? ", "faq.html#If-I-create-netCDF-4-classic-model-files-can-they-be-read-by-IDL-MATLAB-R-Python-and-ArcGIS", null ],
        [ "What applications are able to deal with *arbitrary* netCDF-4 files? ", "faq.html#What-applications-are-able-to-deal-with-arbitrary-netCDF-4-files", null ],
        [ "How can I convert netCDF-3 files into netCDF-4 files? ", "faq.html#How-can-I-convert-netCDF-3-files-into-netCDF-4-files", null ],
        [ "Why might someone want to convert netCDF-4 files into netCDF-3 files? ", "faq.html#Why-might-someone-want-to-convert-netCDF-4-files-into-netCDF-3-files", null ],
        [ "How can I convert netCDF-4 files into netCDF-3 files? ", "faq.html#How-can-I-convert-netCDF-4-files-into-netCDF-3-files", null ],
        [ "How can I convert HDF5 files into netCDF-4 files? ", "faq.html#How-can-I-convert-HDF5-files-into-netCDF-4-files", null ],
        [ "How can I convert netCDF-4 files into HDF5 files? ", "faq.html#How-can-I-convert-netCDF-4-files-into-HDF5-files", null ],
        [ "Why aren't different extensions used for the different formats, for example \".nc3\" and \".nc4\"? ", "faq.html#why-arent-different-extensions-used", null ],
        [ "Why is the default of netCDF-4 to continue to create classic files, rather than netCDF-4 files? ", "faq.html#Why-is-the-default-of-netCDF-4-to-continue-to-create-classic-files-rather-than-netCDF-4-files", null ],
        [ "Can netCDF-4 read arbitrary HDF5 files? ", "faq.html#Can-netCDF-4-read-arbitrary-HDF5-files", null ],
        [ "I installed netCDF-3 with --enable-shared, but it looks like the libraries it installed were netCDF-4, with names like libnetcdf.4.dylib. What's going on? ", "faq.html#I-installed-netCDF-3-with---enable-shared-but-it-looks-like-the-libraries-it-installed-were-netCDF-4-with-names-like-libnetcdf4dylib-Whats-going-on", null ],
        [ "NetCDF-3.6.3 permits UTF-8 encoded Unicode names. Won't this break backward compatibility with previous software releases that didn't allow such names? ", "faq.html#NetCDF-363-permits-UTF-8-encoded-Unicode-names-Wont-this-break-backward-compatibility-with-previous-software-releases-that-didnt-allow-such-names", null ],
        [ "How difficult is it to convert my application to handle arbitrary netCDF-4 files? ", "faq.html#How-difficult-is-it-to-convert-my-application-to-handle-arbitrary-netCDF-4-files", null ]
      ] ],
      [ "Shared Libraries ", "faq.html#Shared-Libraries", [
        [ "What are shared libraries? ", "faq.html#What-are-shared-libraries", null ],
        [ "Can I build netCDF with shared libraries? ", "faq.html#Can-I-build-netCDF-with-shared-libraries", null ],
        [ "How do I use netCDF shared libraries? ", "faq.html#How-do-I-use-netCDF-shared-libraries", null ]
      ] ],
      [ "Large File Support ", "faq.html#Large-File-Support", [
        [ "Was it possible to create netCDF files larger than 2 GiBytes before version 3.6? ", "faq.html#Was-it-possible-to-create-netCDF-files-larger-than-2-GiBytes-before-version-36", null ],
        [ "What is Large File Support? ", "faq.html#What-is-Large-File-Support", null ],
        [ "What does Large File Support have to do with netCDF? ", "faq.html#What-does-Large-File-Support-have-to-do-with-netCDF", null ],
        [ "Do I have to know which netCDF file format variant is used in order to access or modify a netCDF file? ", "faq.html#Do-I-have-to-know-which-netCDF-file-format-variant-is-used-in-order-to-access-or-modify-a-netCDF-file", null ],
        [ "Will future versions of the netCDF library continue to support accessing files in the classic format? ", "faq.html#Will-future-versions-of-the-netCDF-library-continue-to-support-accessing-files-in-the-classic-format", null ],
        [ "Should I start using the new 64-bit offset format for all my netCDF files? ", "faq.html#Should-I-start-using-the-new-64-bit-offset-format-for-all-my-netCDF-files", null ],
        [ "How can I tell if a netCDF file uses the classic format (CDF-1), 64-bit offset format (CDF-2) or 64-bit data format (CDF-5)? ", "faq.html#How-can-I-tell-if-a-netCDF-file-uses-the-classic-format-or-64-bit-offset-format", null ],
        [ "What happens if I create a 64-bit offset format netCDF file and try to open it with an older netCDF application that hasn't been linked with netCDF 3.6? ", "faq.html#What-happens-if-I-create-a-64-bit-offset-format-netCDF-file-and-try-to-open-it-with-an-older-netCDF-application-that-hasnt-been-linked-with-netCDF-36", null ],
        [ "Can I create 64-bit offset files on 32-bit platforms? ", "faq.html#Can-I-create-64-bit-offset-files-on-32-bit-platforms", null ],
        [ "How do I create a 64-bit offset netCDF file from C, Fortran-77, Fortran-90, or C++? ", "faq.html#How-do-I-create-a-64-bit-offset-netCDF-file-from-C-Fortran-77-Fortran-90-or-Cpp", null ],
        [ "How do I create a 64-bit offset netCDF file using the ncgen utility? ", "faq.html#How-do-I-create-a-64-bit-offset-netCDF-file-using-the-ncgen-utility", null ],
        [ "Have all netCDF size limits been eliminated? ", "faq.html#Have-all-netCDF-size-limits-been-eliminated", null ],
        [ "Why are variables still limited in size? ", "faq.html#Why-are-variables-still-limited-in-size", null ],
        [ "How can I write variables larger than 4 GiB? ", "faq.html#How-can-I-write-variables-larger-than-4-GiB", null ],
        [ "Why do I get an error message when I try to create a file larger than 2 GiB with the new library? ", "faq.html#Why-do-I-get-an-error-message-when-I-try-to-create-a-file-larger-than-2-GiB-with-the-new-library", null ],
        [ "Do I need to use special compiler flags to compile and link my applications that use netCDF with Large File Support? ", "faq.html#Do-I-need-to-use-special-compiler-flags-to-compile-and-link-my-applications-that-use-netCDF-with-Large-File-Support", null ],
        [ "Is it possible to create a \"classic\" format netCDF file with netCDF version 3.6.0 that cannot be accessed by applications compiled and linked against earlier versions of the library? ", "faq.html#isitpossibleclassic360", null ]
      ] ],
      [ "NetCDF and Other Software ", "faq.html#NetCDF-and-Other-Software", [
        [ "What other software is available for accessing, displaying, and manipulating netCDF data? ", "faq.html#What-other-software-is-available-for-accessing-displaying-and-manipulating-netCDF-data", null ],
        [ "What other data access interfaces and formats are available for scientific data? ", "faq.html#What-other-data-access-interfaces-and-formats-are-available-for-scientific-data", null ],
        [ "What is the connection between netCDF and CDF? ", "faq.html#What-is-the-connection-between-netCDF-and-CDF", null ],
        [ "What is the connection between netCDF and HDF? ", "faq.html#What-is-the-connection-between-netCDF-and-HDF", null ],
        [ "Has anyone implemented client-server access for netCDF data? ", "faq.html#Has-anyone-implemented-client-server-access-for-netCDF-data", null ],
        [ "How do I convert between GRIB and netCDF? ", "faq.html#How-do-I-convert-between-GRIB-and-netCDF", null ],
        [ "Can I recover data from a netCDF file that was not closed properly? ", "faq.html#Can-I-recover-data-from-a-netCDF-file-that-was-not-closed-properly", null ],
        [ "Is there a list of reported problems and workarounds? ", "faq.html#Is-there-a-list-of-reported-problems-and-workarounds", null ],
        [ "How do I make a bug report? ", "faq.html#How-do-I-make-a-bug-report", null ],
        [ "How do I search through past problem reports? ", "faq.html#How-do-I-search-through-past-problem-reports", null ]
      ] ],
      [ "Programming with NetCDF ", "faq.html#Programming-with-NetCDF", [
        [ "Which programming languages have netCDF interfaces? ", "faq.html#Which-programming-languages-have-netCDF-interfaces", null ],
        [ "Are the netCDF libraries thread-safe? ", "faq.html#Are-the-netCDF-libraries-thread-safe", null ],
        [ "How does the C++ interface differ from the C interface? ", "faq.html#How-does-the-Cpp-interface-differ-from-the-C-interface", null ],
        [ "How does the Fortran interface differ from the C interface? ", "faq.html#How-does-the-Fortran-interface-differ-from-the-C-interface", null ],
        [ "How do the Java, Perl, Python, Ruby, ... interfaces differ from the C interface? ", "faq.html#How-do-the-Java-Perl-Python-Ruby-interfaces-differ-from-the-C-interface", null ],
        [ "How do I handle errors in C? ", "faq.html#How-do-I-handle-errors-in-C", null ]
      ] ],
      [ "CMake-Related Frequently Asked Questions ", "faq.html#cmake_faq", [
        [ "How can I see the options available to CMake? ", "faq.html#listoptions", null ],
        [ "How do I specify how to build a shared or static library? ", "faq.html#sharedstatic", null ],
        [ "Can I build both shared and static libraries at the same time with cmake? ", "faq.html#sharedstaticboth", null ],
        [ "How can I specify linking against a particular library? ", "faq.html#partlib", null ],
        [ "What if I want to link against multiple libraries in a non-standard location ", "faq.html#nonstdloc", null ],
        [ "How can I specify a Parallel Build using HDF5 ", "faq.html#parallelhdf", null ]
      ] ],
      [ "Plans ", "faq.html#Plans", [
        [ "What other future work on netCDF is planned? ", "faq.html#What-other-future-work-on-netCDF-is-planned", null ]
      ] ]
    ] ],
    [ "Known Problems with netCDF", "known_problems.html", null ],
    [ "COPYRIGHT", "copyright.html", null ],
    [ "The NetCDF-C Tutorial", "tutorial_8dox.html", "tutorial_8dox" ],
    [ "Deprecated List", "deprecated.html", null ],
    [ "NetCDF Functions", "modules.html", "modules" ],
    [ "Data Structures", "annotated.html", "annotated" ],
    [ "Data Fields", "functions.html", [
      [ "All", "functions.html", null ],
      [ "Variables", "functions_vars.html", null ]
    ] ],
    [ "Files", null, [
      [ "Source Files", "files.html", "files" ],
      [ "Globals", "globals.html", [
        [ "All", "globals.html", "globals_dup" ],
        [ "Functions", "globals_func.html", "globals_func" ],
        [ "Variables", "globals_vars.html", null ],
        [ "Typedefs", "globals_type.html", null ],
        [ "Macros", "globals_defs.html", "globals_defs" ]
      ] ]
    ] ],
    [ "Examples", "examples.html", "examples" ]
  ] ]
];

var NAVTREEINDEX =
[
"BestPractices.html",
"faq.html#isitpossibleclassic360",
"group__datasets.html#ga019098e9d5265006a11c9a841eb81b74",
"group__v2__api.html#ga1c10a4c3a25117373056291b6e98e07e",
"group__variables.html#ga5aa1c27fcafcec1a6c1e501ec8950601",
"hdf5file_8c.html#a2e4109824a1cc043c5526e137232e7f5",
"netcdf_8h.html#a0372f886d02b3088877bf0223a03441d",
"netcdf_8h.html#aa7f3d7ecbda0d03786d600e65323bcff",
"pres__temp__4D__rd_8c.html#a7855971fbc6db69b054427f415fac0a8"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';